---
title: FormData.delete()
slug: Web/API/FormData/delete
tags:
  - API
  - FormData
  - Method
  - Reference
  - XHR
  - XMLHttpRequest
  - delete
---
<p>{{APIRef("XMLHttpRequest")}}</p>

<p>The <code><strong>delete()</strong></code> method of the {{domxref("FormData")}} interface deletes a key and its value(s) from a <code>FormData</code> object.</p>

<div class="note">
<p><strong>Note</strong>: This method is available in <a href="/en-US/docs/Web/API/Web_Workers_API">Web Workers</a>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">formData.delete(name);</pre>

<h3 id="append()_Parameters">Parameters</h3>

<dl>
	<dt><code>name</code></dt>
	<dd>The name of the key you want to delete.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>Void.</p>

<h2 id="Example">Example</h2>

<p>The following line creates an empty <code>FormData</code> object and prepopulates it with key/value pairs from a form:</p>

<pre class="brush: js">var formData = new FormData(myForm);</pre>

<p>You can delete keys and their values using <code>delete()</code>:</p>

<pre class="brush: js">formData.delete('username');
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('XMLHttpRequest','#dom-formdata-delete','delete()')}}</td>
			<td>{{Spec2('XMLHttpRequest')}}</td>
			<td> </td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FormData.delete")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{domxref("XMLHTTPRequest")}}</li>
	<li><a href="/en-US/docs/DOM/XMLHttpRequest/Using_XMLHttpRequest" title="Using XMLHttpRequest">Using XMLHttpRequest</a></li>
	<li><a href="/en-US/docs/DOM/XMLHttpRequest/FormData/Using_FormData_Objects" title="DOM/XMLHttpRequest/FormData/Using_FormData_objects">Using FormData objects</a></li>
	<li>{{HTMLElement("Form")}}</li>
</ul>
